Site Audit
Get page detail
Get the full analysis for a single crawled page including: meta tags, headings, load time, links, images, schema types, canonical tag, robots meta, and Core Web Vitals.
GET
/
v1
/
projects
/
{project_id}
/
audits
/
{audit_id}
/
pages
/
{page_id}
Get page detail
curl --request GET \
--url https://api.example.com/v1/projects/{project_id}/audits/{audit_id}/pages/{page_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/projects/{project_id}/audits/{audit_id}/pages/{page_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/projects/{project_id}/audits/{audit_id}/pages/{page_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"audit_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"status_code": 123,
"title": "<string>",
"description": "<string>",
"h1": "<string>",
"word_count": 123,
"content_encoding": "<string>",
"load_time_ms": 123,
"size_bytes": 123,
"internal_links_count": 123,
"external_links_count": 123,
"images_count": 123,
"images_without_alt": 123,
"has_canonical": true,
"canonical_url": "<string>",
"has_robots_meta": true,
"robots_meta": "<string>",
"has_schema": true,
"schema_types": [
"<string>"
],
"is_indexable": true,
"redirect_chain": [
"<string>"
],
"core_web_vitals": {},
"meta_keywords": "<string>",
"meta_title": "<string>",
"charset": "<string>",
"generator": "<string>",
"favicon": true,
"scripts_count": 123,
"stylesheets_count": 123,
"images_size": 123,
"scripts_size": 123,
"stylesheets_size": 123,
"render_blocking_scripts_count": 123,
"render_blocking_stylesheets_count": 123,
"title_length": 123,
"description_length": 123,
"cumulative_layout_shift": 123,
"htags": {},
"plain_text_rate": 123,
"plain_text_size": 123,
"automated_readability_index": 123,
"coleman_liau_readability": 123,
"dale_chall_readability": 123,
"flesch_kincaid_readability": 123,
"smog_readability": 123,
"description_to_content_consistency": 123,
"title_to_content_consistency": 123,
"meta_keywords_to_content_consistency": 123,
"deprecated_tags": [
"<string>"
],
"duplicate_meta_tags": [
"<string>"
],
"spell_errors": [
{}
],
"social_media_tags": {},
"time_to_interactive": 123,
"dom_complete": 123,
"largest_contentful_paint": 123,
"first_input_delay": 123,
"connection_time": 123,
"onpage_score": 123,
"total_dom_size": 123,
"cache_control": {},
"click_depth": 123,
"encoded_size": 123,
"total_transfer_size": 123,
"fetch_time": "<string>",
"checks": {},
"last_modified": {},
"resource_errors": {}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
⌘I
Get page detail
